# Gobo Eiffel Argument Library

The Gobo Eiffel Argument Library is a library to facilitate parsing of command line arguments for Eiffel applications.

This document is structured as follows:

> Introduction
>   A short guide into the argument library and an example with explanations.
> Parser
>   A guide to the interface of the argument parser and a description of important features.
> Options
>   An overview of available options and a guide on how to create own option types.
> Alternative options lists
>   Alternative options lists are an advanced way to specify options sets that are used for different operation modes of the application.
> Help text generation
>   A guide on how the argument library generates a help text and a description on how you can modify the display to match your needs.
> Error handling
>   A short description how the argument parser handles errors during parsing.
> Downloading Instructions
>   License agreement and downloading instructions.